This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 504998 - K3B should adopt on click behaviour from gnome
K3B should adopt on click behaviour from gnome
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 06:33 EDT by markm
Modified: 2014-01-12 19:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 14:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 201166 None None None Never

  None (edit)
Description markm 2009-06-10 06:33:03 EDT
Description of problem:

By default when users click on the folder icon in Gnome, folder gets highlighted, but not opened. If users want to open folder, they have to double click on it. That works for lists etc. When K3b (or probably any other application) in Gnome, it has its own behaviour which is when users click on the folder to select it, it gets opened.

Version-Release number of selected component (if applicable):

k3b-1.0.5-8.fc11.i586
ksb-libs-1.0.5-8.fc11.i586

How reproducible:

always

Steps to Reproduce:
1. Login to your Gnome session
2. Start K3b
3. Try to select a folder on the folders list using single click
  
Actual results:

folder gets opened

Expected results:

folder should be highlighted but not opened (with single click)

Additional info:

I guess the same bug exist in all KDE apps when run in Gnome.
Comment 1 Steven M. Parrish 2009-07-22 08:02:46 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Steven M. Parrish 2009-07-23 14:13:59 EDT
Thanks for reporting this upstream.  Going to close this as UPSTREAM.  We will monitor the upstream report for a fix.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Rex Dieter 2009-07-23 14:22:07 EDT
Sorry, I should have jumped in on this one earlier.

Yes, this isn't specific to k3b, but to kde in general.

I'll comment further in the upstream bug.

Note You need to log in before you can comment on or make changes to this bug.